summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCraig Andrews <candrews@gentoo.org>2022-05-31 09:40:00 -0400
committerCraig Andrews <candrews@gentoo.org>2022-05-31 09:40:19 -0400
commit75ea692e054a25296ca12c6d93240e374b46f6ab (patch)
tree960eb575ce724629f14053d81d249e81d19e8097
parentxfce-extra/xfce4-taskmanager: Bump to 1.5.4 (diff)
downloadgentoo-75ea692e054a25296ca12c6d93240e374b46f6ab.tar.gz
gentoo-75ea692e054a25296ca12c6d93240e374b46f6ab.tar.bz2
gentoo-75ea692e054a25296ca12c6d93240e374b46f6ab.zip
net-p2p/cpuminer-opt: 3.19.8 version bump, EAPI=8
Package-Manager: Portage-3.0.30, Repoman-3.0.3 Signed-off-by: Craig Andrews <candrews@gentoo.org>
-rw-r--r--net-p2p/cpuminer-opt/Manifest1
-rw-r--r--net-p2p/cpuminer-opt/cpuminer-opt-3.19.8.ebuild49
-rw-r--r--net-p2p/cpuminer-opt/cpuminer-opt-9999.ebuild4
3 files changed, 52 insertions, 2 deletions
diff --git a/net-p2p/cpuminer-opt/Manifest b/net-p2p/cpuminer-opt/Manifest
index 2bf67182dde..8f9216b56ad 100644
--- a/net-p2p/cpuminer-opt/Manifest
+++ b/net-p2p/cpuminer-opt/Manifest
@@ -1,3 +1,4 @@
DIST cpuminer-opt-3.16.4.tar.gz 1830534 BLAKE2B c9fa07c36b634b0d1250b847baa4a971aad0b249aaf7792b4a69c42c5c98cc6b3e4fe20c95fdab9884520decc6e9d7071158a641863f1c0d2443dd096e372f2b SHA512 7459a9c6ad7afd85fdb8f7ff62c9deae2a2fc8341e3cf39da0f72e81bff8829e094bb830fb614fbce9665bbb259d764eb64b6d2a44ac45ecdd9ee870190d6539
DIST cpuminer-opt-3.17.1.tar.gz 1840571 BLAKE2B db07547ec79df92f644e903485fb51abfddeafe2ecaffd18c0438cf292d51c6167eafaf7aa2b89cb6b7698d4358a4ef970459bff7b063cfd6d3a95ad878126eb SHA512 463d755bbb3146ef94292ae64a8a2397485e28b55d4b510881dd91461e3bcc2786a323cf575dd070481236b150c35af2898b5ab2b0db90c34f528821988af74c
DIST cpuminer-opt-3.18.0.tar.gz 1869910 BLAKE2B 23e090cb9c077fc69f6eee64a522676c078de268e512c588a7d93e1bd3e3904a9e5dbc937a58c21b031f685175b2f2164df04a4f7f22f8129d5183d1b990ec2f SHA512 9144a39b7470682835b57b5ff34810933af5712b4bb2e83a2b5241aeeb13747884f5f48e22e9a71512831b56d345ee5f0e6fd226a8a30d5d10243b4a99f1476c
+DIST cpuminer-opt-3.19.8.tar.gz 1873570 BLAKE2B 9b20f47d5155ec3362172af93fab6a81b6a066c67a4c9c91ef95e9f4eddb5a325b62504414ae7b15d0088cbbda34e89741911ddd610ed727451d530d47ae141a SHA512 f8d172e906e379ddb635e64b0a626660a75aba2c1f74df014494ac934c7156664cdd2bef8963cd0433d20bca015228982b657b33be5c17bc3bd672867114a5eb
diff --git a/net-p2p/cpuminer-opt/cpuminer-opt-3.19.8.ebuild b/net-p2p/cpuminer-opt/cpuminer-opt-3.19.8.ebuild
new file mode 100644
index 00000000000..ae5b2d66fa4
--- /dev/null
+++ b/net-p2p/cpuminer-opt/cpuminer-opt-3.19.8.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic systemd
+
+DESCRIPTION="Optimized multi algo CPU miner"
+HOMEPAGE="https://github.com/JayDDee/cpuminer-opt"
+IUSE="cpu_flags_x86_sse2 curl"
+LICENSE="GPL-2"
+SLOT="0"
+REQUIRED_USE="cpu_flags_x86_sse2"
+DEPEND="
+ dev-libs/gmp:=
+ dev-libs/jansson:=
+ >=net-misc/curl-7.15[ssl]
+ dev-libs/openssl:0=
+"
+RDEPEND="${DEPEND}"
+if [[ ${PV} == "9999" ]] ; then
+ SRC_URI=""
+ EGIT_REPO_URI="https://github.com/JayDDee/${PN}.git"
+ inherit git-r3
+else
+ KEYWORDS="~amd64"
+ SRC_URI="https://github.com/JayDDee/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+fi
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ append-ldflags -Wl,-z,noexecstack
+ econf --with-crypto --with-curl
+}
+
+src_install() {
+ default
+ systemd_dounit "${FILESDIR}"/${PN}.service
+ insinto "/etc/${PN}"
+ doins cpuminer-conf.json
+}
+
+src_test() {
+ ./cpuminer --cputest || die
+}
diff --git a/net-p2p/cpuminer-opt/cpuminer-opt-9999.ebuild b/net-p2p/cpuminer-opt/cpuminer-opt-9999.ebuild
index 1cd33b0d51c..ae5b2d66fa4 100644
--- a/net-p2p/cpuminer-opt/cpuminer-opt-9999.ebuild
+++ b/net-p2p/cpuminer-opt/cpuminer-opt-9999.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
inherit autotools flag-o-matic systemd